Updates for development builds:

Cmake build for tdeaccessibility
 Modified build order for some optional build dependencies
 Renamed cgit builds to 14.1.0
Modified test for whether the Slackware package has been built [BUILD-TDE.sh]
Create dot [graphviz] plugin config6 file during build
Changed installation directories for ocaml and facile [tdeedu]
pull/25/head
Ray-V 4 years ago
parent d6e441aa07
commit a616381cc0

@ -36,7 +36,7 @@ untar_fn
# there is a Spanish language file in the source, but it has no translations in it .. # there is a Spanish language file in the source, but it has no translations in it ..
# the included es.po file is a Google translation - if you don't want to use it, # the included es.po file is a Google translation - if you don't want to use it,
# then comment out the following line: # then comment out the following line:
cp $SRCDIR/es.po ${PO_PATH:-po} cp $SRCDIR/es.po translations/messages/
# for slack-desc # for slack-desc
langs="en";for Lang in $I18N;do [[ -s translations/messages/$Lang.po ]] && langs="$langs $Lang";done langs="en";for Lang in $I18N;do [[ -s translations/messages/$Lang.po ]] && langs="$langs $Lang";done

@ -40,12 +40,19 @@ untar_fn
(cd $BUILD_TDE_ROOT/src/cgit/$PRGNAM/ (cd $BUILD_TDE_ROOT/src/cgit/$PRGNAM/
git reset HEAD * git reset HEAD *
rm -rf .git/worktrees/* rm -rf .git/worktrees/*
[[ $TDEVERSION == cgit ]] && git checkout -f 2a5540d || git checkout -f 2882ff6 ## don't need info about 'detached HEAD' state - only using the repo as a build source
git config advice.detachedHead false
[[ $TDEVERSION == 14.1.0 ]] && git checkout -f 2a5540d || git checkout -f 2882ff6
## overwrite the files in the build area set up by untar_fn with the source now in 'detached HEAD' state .. ## overwrite the files in the build area set up by untar_fn with the source now in 'detached HEAD' state ..
echo -e "\n copying $PRGNAM git sources to build area ... \n" echo -e "\n copying $PRGNAM 'detached HEAD' state sources to build area ... \n"
(cd $BUILD_TDE_ROOT/src/cgit (cd $BUILD_TDE_ROOT/src/cgit
cp -a --parents $PRGNAM/* $TMP_BUILD/tmp-$PRGNAM/ cp -a --parents $PRGNAM/* $TMP_BUILD/tmp-$PRGNAM/
cp -a --parents cmake/* $TMP_BUILD/tmp-$PRGNAM/$PRGNAM/) cp -a --parents cmake/* $TMP_BUILD/tmp-$PRGNAM/$PRGNAM/)
## and then switch back to master branch ready for the next pull ..
echo -e "\n ### Switching cgit source to master branch ### \n"
git checkout master
echo
) )
} }
# ### # ###

@ -100,7 +100,7 @@ Set the version of TDE to be built.
13 75 3 \ 13 75 3 \
"14.0.9" "the R14.0.9 release - source from archives" \ "14.0.9" "the R14.0.9 release - source from archives" \
"14.0.x" "r14.0.10 preview/wip - source from Trinity git" \ "14.0.x" "r14.0.10 preview/wip - source from Trinity git" \
"cgit" "R14.1.0 development - source from Trinity git" \ "14.1.0" "R14.1.0 development - source from Trinity git" \
2> $TMPVARS/TDEVERSION 2> $TMPVARS/TDEVERSION
@ -319,7 +319,7 @@ The default is to remove 'tmp' & 'package' files from a previous package build a
If following the build method on the previous screen, the answer here should probably be \Zr\Z4\ZbNo\Zn. If following the build method on the previous screen, the answer here should probably be \Zr\Z4\ZbNo\Zn.
Keep \ZuALL\ZU the temporary files, including for successfully built packages?" \ \Zb\Z6Keep all\Zn the temporary files, including for successfully built packages?" \
15 75 15 75
[[ $? == 0 ]] && echo yes > $TMPVARS/KEEP_BUILD [[ $? == 0 ]] && echo yes > $TMPVARS/KEEP_BUILD
[[ $? == 1 ]] && echo no > $TMPVARS/KEEP_BUILD [[ $? == 1 ]] && echo no > $TMPVARS/KEEP_BUILD
@ -347,17 +347,18 @@ Non-TDE apps are in the Misc category and don't need the \Zb\Zr\Z4R\Znequired TD
"Core/tdelibs" "\Zb\Zr\Z4R\Zn TDE libraries" off "\Zb\Z6 Will build with Avahi support if avahi/avahi-tqt are installed. \Zn" \ "Core/tdelibs" "\Zb\Zr\Z4R\Zn TDE libraries" off "\Zb\Z6 Will build with Avahi support if avahi/avahi-tqt are installed. \Zn" \
"Core/tdebase" "\Zb\Zr\Z4R\Zn TDE base" off "\Zb\Z6 \Zn" \ "Core/tdebase" "\Zb\Zr\Z4R\Zn TDE base" off "\Zb\Z6 \Zn" \
"Core/tde-i18n" "Additional language support for TDE" off "\Zb\Z6 Required when any \Zb\Z3Additional language support\Zb\Z6 has been selected \Zn" \ "Core/tde-i18n" "Additional language support for TDE" off "\Zb\Z6 Required when any \Zb\Z3Additional language support\Zb\Z6 has been selected \Zn" \
"Core/tdeaccessibility" "Accessibility programs" off "\Zb\Z6 \Zn" \ "Deps/akode" "A player and plugins for aRts music formats" off "\Zb\Z6 For tdemultimedia - aRts-plugin and Juk, and amarok engine \Zn" \
"Core/tdemultimedia" "Multimedia packages for TDE" off "\Zb\Z6 Optional build-time dependency -> akode \Zn" \
"Core/tdeaccessibility" "Accessibility programs" off "\Zb\Z6 Optional build-time dependencies -> akode + tdemultimedia \Zn" \
"Core/tdeadmin" "System admin packages" off "\Zb\Z6 \Zn" \ "Core/tdeadmin" "System admin packages" off "\Zb\Z6 \Zn" \
"Core/tdeartwork" "Extra artwork/themes/wallpapers for TDE" off "\Zb\Z6 \Zn" \ "Core/tdeartwork" "Extra artwork/themes/wallpapers for TDE" off "\Zb\Z6 \Zn" \
"Core/tdeedu" "Educational software" off "\Zb\Z6 \Zn" \ " Misc/graphviz" "Graph Visualization" off "\Zb\Z6 Runtime option for kscope. pdf/html docs not built by default \Zn" \
"Core/tdeedu" "Educational software" off "\Zb\Z6 Build-time option -> dot [graphviz] \Zn" \
"Core/tdegames" "Games for TDE - atlantik, kasteroids, katomic, etc." off "\Zb\Z6 \Zn" \ "Core/tdegames" "Games for TDE - atlantik, kasteroids, katomic, etc." off "\Zb\Z6 \Zn" \
" Misc/imlib" "An image loading and rendering library" off "\Zb\Z6 Build-time option for tdegraphics - needed for kuickshow \Zn" \ " Misc/imlib" "An image loading and rendering library" off "\Zb\Z6 Build-time option for tdegraphics - needed for kuickshow \Zn" \
"Core/tdegraphics" "Misc graphics apps" off "\Zb\Z6 \Zn" \ "Core/tdegraphics" "Misc graphics apps" off "\Zb\Z6 \Zn" \
"Deps/akode" "A player and plugins for aRts music formats" off "\Zb\Z6 For tdemultimedia - aRts-plugin and Juk, and amarok engine \Zn" \
"Core/tdemultimedia" "Multimedia packages for TDE" off "\Zb\Z6 Optional build-time dependency - akode \Zn" \
" Misc/speex" "Audio compression format designed for speech" off "\Zb\Z6 Buildtime option for tdenetwork and amarok. Requires l/speexdsp \Zn" \ " Misc/speex" "Audio compression format designed for speech" off "\Zb\Z6 Buildtime option for tdenetwork and amarok. Requires l/speexdsp \Zn" \
"Core/tdenetwork" "Networking applications for TDE" off "\Zb\Z6 Optional build-time dependency - speex \Zn" \ "Core/tdenetwork" "Networking applications for TDE" off "\Zb\Z6 Optional build-time dependency -> speex \Zn" \
"Deps/libcaldav" "Calendaring Extensions to WebDAV" off "\Zb\Z6 Optional dependency for korganizer [tdepim] \Zn" \ "Deps/libcaldav" "Calendaring Extensions to WebDAV" off "\Zb\Z6 Optional dependency for korganizer [tdepim] \Zn" \
"Deps/libcarddav" "Online address support" off "\Zb\Z6 Optional dependency for korganizer [tdepim] \Zn" \ "Deps/libcarddav" "Online address support" off "\Zb\Z6 Optional dependency for korganizer [tdepim] \Zn" \
"Core/tdepim" "Personal Information Management" off "\Zb\Z6 \Zn" \ "Core/tdepim" "Personal Information Management" off "\Zb\Z6 \Zn" \
@ -404,7 +405,6 @@ Non-TDE apps are in the Misc category and don't need the \Zb\Zr\Z4R\Znequired TD
"Apps/koffice" "Office Suite" off "\Zb\Z6 Optional build-time dependencies - GraphicsMagick, libpng14 \Zn" \ "Apps/koffice" "Office Suite" off "\Zb\Z6 Optional build-time dependencies - GraphicsMagick, libpng14 \Zn" \
"Apps/koffice-i18n" "Internationalization files for koffice" off "\Zb\Z6 Provides \Zb\Z3Additional language support\Zb\Z6 for koffice \Zn" \ "Apps/koffice-i18n" "Internationalization files for koffice" off "\Zb\Z6 Provides \Zb\Z3Additional language support\Zb\Z6 for koffice \Zn" \
"Apps/krusader" "File manager for TDE" off "\Zb\Z6 \Zn" \ "Apps/krusader" "File manager for TDE" off "\Zb\Z6 \Zn" \
" Misc/graphviz" "Graph Visualization" off "\Zb\Z6 Runtime option for kscope. pdf/html docs not built by default \Zn" \
"Apps/kscope" "A source-editing environment for C and C-style languages." off "\Zb\Z6 Runtime options cscope [d/cscope], ctags [ap/vim], dot [graphviz] \Zn" \ "Apps/kscope" "A source-editing environment for C and C-style languages." off "\Zb\Z6 Runtime options cscope [d/cscope], ctags [ap/vim], dot [graphviz] \Zn" \
"Apps/ksensors" "A graphical interface for sensors" off "\Zb\Z6 Runtime requirement ap/lm_sensors \Zn" \ "Apps/ksensors" "A graphical interface for sensors" off "\Zb\Z6 Runtime requirement ap/lm_sensors \Zn" \
"Apps/kshutdown" "Shutdown utility for TDE" off "\Zb\Z6 \Zn" \ "Apps/kshutdown" "Shutdown utility for TDE" off "\Zb\Z6 \Zn" \
@ -621,7 +621,7 @@ $(cat $TMPVARS/READMEs)" \
rm -f $TMPVARS/DL_CGIT # place this here to facilitate testing for summary screen rm -f $TMPVARS/DL_CGIT # place this here to facilitate testing for summary screen
[[ $(cat $TMPVARS/TDEVERSION) == cgit || $(cat $TMPVARS/TDEVERSION) == 14.0.x ]] && \ [[ $(cat $TMPVARS/TDEVERSION) == 14.1.0 || $(cat $TMPVARS/TDEVERSION) == 14.0.x ]] && \
[[ $(grep -o [ACDLM][a-z]*/ $TMPVARS/TDEbuilds | sort | head -n1) != Misc/ ]] && { [[ $(grep -o [ACDLM][a-z]*/ $TMPVARS/TDEbuilds | sort | head -n1) != Misc/ ]] && {
dialog --cr-wrap --no-shadow --colors --defaultno --title " TDE development build " --yesno \ dialog --cr-wrap --no-shadow --colors --defaultno --title " TDE development build " --yesno \
" "
@ -648,7 +648,7 @@ Create and/or update the git repositories local copies.
#rm -f $TMPVARS/PRE_DOWNLOAD ## this is done at the head of this script #rm -f $TMPVARS/PRE_DOWNLOAD ## this is done at the head of this script
[[ $(cat $TMPVARS/TDEVERSION) == 14.0.9 ]] && PRE_DOWNLOAD_MESSAGE="Only the source archives not already in 'src' will be downloaded." [[ $(cat $TMPVARS/TDEVERSION) == 14.0.9 ]] && PRE_DOWNLOAD_MESSAGE="Only the source archives not already in 'src' will be downloaded."
[[ $(cat $TMPVARS/TDEVERSION) == cgit || $(cat $TMPVARS/TDEVERSION) == 14.0.x ]] && PRE_DOWNLOAD_MESSAGE="All cgit sources for the build list packages will be cloned/updated.\nMisc archives will only be downloaded if not already in 'src'." && LINES=18 [[ $(cat $TMPVARS/TDEVERSION) == 14.1.0 || $(cat $TMPVARS/TDEVERSION) == 14.0.x ]] && PRE_DOWNLOAD_MESSAGE="All cgit sources for the build list packages will be cloned/updated.\nMisc archives will only be downloaded if not already in 'src'." && LINES=18
## testing for cgit!=no will allow =yes or null, which is the 14.0.9 build case ## testing for cgit!=no will allow =yes or null, which is the 14.0.9 build case
[[ $(cat $TMPVARS/DL_CGIT) != no ]] && { [[ $(cat $TMPVARS/DL_CGIT) != no ]] && {
dialog --cr-wrap --no-shadow --colors --defaultno --title " Only download sources " --yesno \ dialog --cr-wrap --no-shadow --colors --defaultno --title " Only download sources " --yesno \
@ -870,34 +870,29 @@ do
# Re: http://serverfault.com/questions/71285/in-centos-4-4-how-can-i-strip-escape-sequences-from-a-text-file # Re: http://serverfault.com/questions/71285/in-centos-4-4-how-can-i-strip-escape-sequences-from-a-text-file
sed -ri "s/\x1B\[([0-9]{1,2}(;[0-9]{1,2})?)?[m|K]//g" $TMP/$TDE_PFX$package-$(eval echo $version)-${LOG:-"${ARCH_i18n:-$ARCH}-$build-build"}-log || ${EXIT_FAIL:-"true"} sed -ri "s/\x1B\[([0-9]{1,2}(;[0-9]{1,2})?)?[m|K]//g" $TMP/$TDE_PFX$package-$(eval echo $version)-${LOG:-"${ARCH_i18n:-$ARCH}-$build-build"}-log || ${EXIT_FAIL:-"true"}
checkmakepkg ()
{ ## skip build/packaging check and installation if only downloading sources
## test whether the Slackware package has been built .. [[ $PRE_DOWNLOAD == yes ]] || {
## tde-i18n package installation is handled in tde-i18n.SlackBuild because if more than one i18n package is being built, only the last one will be installed by upgradepkg here - test for last language in the I18N list to ensure they've all been built
[[ $package == tde-i18n ]] && package=$package-$(cat $TMPVARS/LASTLANG)
#
## Check that the package has been created,
## and if so, remove package name from TDEbuilds list
[[ $(ls $TMP/$TDE_PFX$package-$(eval echo $version)-*-$build*.txz) ]] && \ [[ $(ls $TMP/$TDE_PFX$package-$(eval echo $version)-*-$build*.txz) ]] && \
sed -i "s|$dir ||" $TMPVARS/TDEbuilds || { sed -i "s|$dir ||" $TMPVARS/TDEbuilds || {
## if unsuccessful, display error message \ ## if unsuccessful, display error message
echo " echo "
Error: $TDE_PFX$package package ${LOG:-build} failed Error: $TDE_PFX$package package ${LOG:-build} failed
Check the ${LOG:-build} log $TMP/$TDE_PFX$package-$(eval echo $version)-${LOG:-"${ARCH_i18n:-$ARCH}-$build-build"}-log Check the ${LOG:-build} log $TMP/$TDE_PFX$package-$(eval echo $version)-${LOG:-"${ARCH_i18n:-$ARCH}-$build-build"}-log
" "
## if koffice was building with libpng14, restore the libpng16 headers for any following builds ## if koffice was building with libpng14, restore the libpng16 headers for any following builds
[[ $(cat $TMPVARS/Krita_OPTS) == *libpng14* ]] && source $BUILD_TDE_ROOT/get-source.sh && libpng16_fn || true [[ $(cat $TMPVARS/Krita_OPTS) == *libpng14* ]] && source $BUILD_TDE_ROOT/get-source.sh && libpng16_fn || true
## implement 'Action on failure'
${EXIT_FAIL:-":"} ${EXIT_FAIL:-":"}
} }
} ## install packages - any 'Cannot install /tmp/....txz: file not found' error message caused by build failure deliberately not suppressed.
## skip build/packaging check if only downloading sources
[[ $PRE_DOWNLOAD == yes ]] || {
## install packages
[[ $INST == 1 ]] && [[ $package != tde-i18n ]] && [[ $package != libpng ]] && upgradepkg --install-new --reinstall $TMP/$TDE_PFX$package-$(eval echo $version)-*-$build*.txz && \
checkmakepkg || ${EXIT_FAIL:-"true"}
## tde-i18n package installation is handled in tde-i18n.SlackBuild because if more than one i18n package is being built, only the last one will be installed by upgradepkg here - test for last language in the I18N list to ensure they've all been built
[[ $package == tde-i18n ]] && package=$package-$(cat $TMPVARS/LASTLANG) && \
checkmakepkg
## create libpng-1.4 package only - it will be installed by the koffice.SB because it overrides libpng headers which for Sl14.2/current point to libpng16. ## create libpng-1.4 package only - it will be installed by the koffice.SB because it overrides libpng headers which for Sl14.2/current point to libpng16.
## if building only, and/or libpng, just check that the package has been created [[ $INST == 1 ]] && [[ $package != tde-i18n* ]] && [[ $package != libpng ]] && upgradepkg --install-new --reinstall $TMP/$TDE_PFX$package-$(eval echo $version)-*-$build*.txz
[[ $INST == 0 ]] || [[ $package == libpng ]] && \
checkmakepkg
} }
# back to original directory # back to original directory

@ -35,12 +35,14 @@ untar_fn
listdocs_fn listdocs_fn
ltoolupdate_fn [[ $TDEVERSION == 14.0.9 ]] && ltoolupdate_fn
chown_fn chown_fn
cd_builddir_fn cd_builddir_fn
[[ $TDEVERSION == 14.0.9 ]] && {
CFLAGS="$SLKRCFLAGS" \ CFLAGS="$SLKRCFLAGS" \
CXXFLAGS="$SLKRCFLAGS" \ CXXFLAGS="$SLKRCFLAGS" \
CC=$COMPILER \ CC=$COMPILER \
@ -50,6 +52,48 @@ CXX=$COMPILER_CXX \
--disable-rpath \ --disable-rpath \
--enable-closure --enable-closure
} || {
##
AKODE=OFF && [[ -s $INSTALL_TDE/include/akode/akodelib.h ]] && AKODE=ON
FREEVERB=OFF && [[ -s $INSTALL_TDE/include/arts/artsmodules.h ]] && FREEVERB=ON
cmake \
-DCMAKE_C_FLAGS="$SLKRCFLAGS" \
-DCMAKE_CXX_FLAGS="$SLKRCFLAGS" \
-DCMAKE_C_COMPILER=$COMPILER \
-DCMAKE_CXX_COMPILER=$COMPILER_CXX \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=$INSTALL_TDE \
-DLIB_SUFFIX=$LIBDIRSUFFIX \
-DMAN_INSTALL_DIR=$INSTALL_TDE/man \
-DPLUGIN_INSTALL_DIR=$INSTALL_TDE/lib$LIBDIRSUFFIX/$PLUGIN_INSTALL_DIR \
-DWITH_ARTS="ON" \
-DWITH_GCC_VISIBILITY="OFF" \
-DWITH_AKODE="$AKODE" \
-DWITH_ALSA="ON" \
-DWITH_GSTREAMER="OFF" \
-DBUILD_DOC="ON" \
-DBUILD_KBSTATEAPPLET="ON" \
-DBUILD_KMAG="ON" \
-DBUILD_KMOUSETOOL="ON" \
-DBUILD_KMOUTH="ON" \
-DBUILD_KSAYIT="ON" \
-DBUILD_KSAYIT_FREEVERB="$FREEVERB" \
-DBUILD_KTTSD="ON" \
-DBUILD_KTTSD_COMMAND="ON" \
-DBUILD_KTTSD_EPOS="ON" \
-DBUILD_KTTSD_FESTIVAL="ON" \
-DBUILD_KTTSD_FLITE="ON" \
-DBUILD_KTTSD_FREETTS="ON" \
-DBUILD_KTTSD_HADIFIX="ON" \
-DBUILD_KTTSD_KATE="ON" \
-DBUILD_ICONTHEMES="ON" \
-Wno-dev \
..
}
make_fn make_fn
installdocs_fn installdocs_fn
@ -71,13 +115,13 @@ echo "
$PRGNAM: Accessibility programs $PRGNAM: Accessibility programs
$PRGNAM: $PRGNAM:
$PRGNAM: * kmag: a screen magnifier. $PRGNAM: * kmag: a screen magnifier.
$PRGNAM: * kmousetool: clicks the mouse whenever the mouse cursor $PRGNAM: * kmousetool:
$PRGNAM: pauses briefly $PRGNAM: clicks the mouse whenever the mouse cursor pauses briefly
$PRGNAM: * kmouth: lets the computer speak. $PRGNAM: * kmouth: lets the computer speak.
$PRGNAM: Requires a speech synthesizer installed. $PRGNAM: Requires a speech synthesizer installed.
$PRGNAM: * ksayit: a text to speech frontend $PRGNAM: * ksayit: a text to speech frontend
$PRGNAM: * kttsd: Text-to-Speech system. A plugin based service to allow any $PRGNAM: * kttsd: Text-to-Speech system. A plugin based service to allow any
$PRGNAM: application to speak using the dcop interface $PRGNAM: application to speak using the dcop interface
$PRGNAM: $PRGNAM:
" > $PKG/install/slack-desc " > $PKG/install/slack-desc

@ -36,9 +36,10 @@ untar_fn
## patch for kig python scripting error: ## patch for kig python scripting error:
## kig: /usr/include/boost/python/object_core.hpp:422: boost::python::api::object_base::~object_base(): Assertion `Py_REFCNT(m_ptr) > 0' failed. ## kig: /usr/include/boost/python/object_core.hpp:422: boost::python::api::object_base::~object_base(): Assertion `Py_REFCNT(m_ptr) > 0' failed.
## Re: https://bugs.kde.org/show_bug.cgi?id=401512#c5 ## Re: https://bugs.kde.org/show_bug.cgi?id=401512#c5
[[ $TDEVERSION == 14.0.9 ]] && EXTN=cc || EXTN=cpp
patch -N -p0 << EOF || true patch -N -p0 << EOF || true
--- kig/scripting/python_scripter.cc --- kig/scripting/python_scripter.$EXTN
+++ kig/scripting/python_scripter.cc +++ kig/scripting/python_scripter.$EXTN
@@ -493,0 +494 @@ @@ -493,0 +494 @@
+ Py_XINCREF((objectvect.begin() +i)->ptr()); + Py_XINCREF((objectvect.begin() +i)->ptr());
EOF EOF
@ -57,8 +58,8 @@ cd_builddir_fn
# ### Kalzium Chemical Equation Solver - start # ### Kalzium Chemical Equation Solver - start
## Needs OCaml and facile ## Needs OCaml and facile
ocaml_installed_fn () { [[ -s /usr/local/lib$LIBDIRSUFFIX/libnums.a ]] && \ ocaml_installed_fn () { [[ -s /usr/local/lib$LIBDIRSUFFIX/ocaml/libnums.a ]] && \
[[ -s /usr/local/lib$LIBDIRSUFFIX/facile/facile.a ]] ;} [[ -s /usr/local/lib$LIBDIRSUFFIX/ocaml/facile/facile.a ]] ;}
## If they are already installed, go to OCAML="ON" ## If they are already installed, go to OCAML="ON"
ocaml_installed_fn || { ocaml_installed_fn || {
## otherwise, if the source archives are in 'src' .. ## otherwise, if the source archives are in 'src' ..
@ -70,10 +71,11 @@ ocaml_installed_fn || {
echo -e "\n building ocaml \n" echo -e "\n building ocaml \n"
cd /$TMP_BUILD cd /$TMP_BUILD
rm -rf *ocaml*
tar xf $BUILD_TDE_ROOT/src/4.05.0.tar.gz tar xf $BUILD_TDE_ROOT/src/4.05.0.tar.gz
cd ocaml-4.05.0/ cd ocaml-4.05.0/
./configure -cc $COMPILER -libdir /usr/local/lib$LIBDIRSUFFIX ./configure -cc $COMPILER -libdir /usr/local/lib$LIBDIRSUFFIX/ocaml
## finish build with -j1 if there are race condition errors ## finish build with -j1 if there are race condition errors
make ${NUMJOBS:-} world.opt || make world.opt make ${NUMJOBS:-} world.opt || make world.opt
DESTDIR=$TMP_BUILD/package-ocaml make install DESTDIR=$TMP_BUILD/package-ocaml make install
@ -86,13 +88,14 @@ installpkg $OUTPUT/ocaml-4.05.0-x86_64-1.txz
echo -e "\n building facile \n" echo -e "\n building facile \n"
cd /$TMP_BUILD cd /$TMP_BUILD
rm -rf *facile*
tar xf $BUILD_TDE_ROOT/src/facile-1.1.3.tar.gz tar xf $BUILD_TDE_ROOT/src/facile-1.1.3.tar.gz
cd facile-1.1.3/ cd facile-1.1.3/
sed -i 's|mkdir|& -p|' Makefile sed -i 's|mkdir|& -p|' Makefile
./configure ./configure
make make
make FACILEDIR=$TMP_BUILD/package-facile/usr/local/lib$LIBDIRSUFFIX/facile install make FACILEDIR=$TMP_BUILD/package-facile/usr/local/lib$LIBDIRSUFFIX/ocaml/facile install
cd $TMP_BUILD/package-facile cd $TMP_BUILD/package-facile
makepkg -l y -c n $OUTPUT/facile-1.1.3-x86_64-1.txz makepkg -l y -c n $OUTPUT/facile-1.1.3-x86_64-1.txz

@ -47,10 +47,13 @@ cmake \
-DCMAKE_BUILD_TYPE=Release \ -DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=$INSTALL_TDE \ -DCMAKE_INSTALL_PREFIX=$INSTALL_TDE \
-DLIB_SUFFIX=$LIBDIRSUFFIX \ -DLIB_SUFFIX=$LIBDIRSUFFIX \
-DMAN_INSTALL_DIR=$INSTALL_TDE/man \
-DPLUGIN_INSTALL_DIR=$INSTALL_TDE/lib$LIBDIRSUFFIX/$PLUGIN_INSTALL_DIR \ -DPLUGIN_INSTALL_DIR=$INSTALL_TDE/lib$LIBDIRSUFFIX/$PLUGIN_INSTALL_DIR \
-DWITH_ARTS="ON" \ -DWITH_ARTS="ON" \
-DBUILD_ATLANTIK="ON" \ -DWITH_GCC_VISIBILITY="OFF" \
-DBUILD_DOC="ON" \ -DBUILD_DOC="ON" \
-DBUILD_LIBTDEGAMES="ON" \
-DBUILD_ATLANTIK="ON" \
-DBUILD_KASTEROIDS="ON" \ -DBUILD_KASTEROIDS="ON" \
-DBUILD_KATOMIC="ON" \ -DBUILD_KATOMIC="ON" \
-DBUILD_KBACKGAMMON="ON" \ -DBUILD_KBACKGAMMON="ON" \
@ -80,9 +83,9 @@ cmake \
-DBUILD_KSPACEDUEL="ON" \ -DBUILD_KSPACEDUEL="ON" \
-DBUILD_KTRON="ON" \ -DBUILD_KTRON="ON" \
-DBUILD_KTUBERLING="ON" \ -DBUILD_KTUBERLING="ON" \
-DBUILD_LIBTDEGAMES="ON" \
-DBUILD_LSKAT="ON" \ -DBUILD_LSKAT="ON" \
-DBUILD_TWIN4="ON" \ -DBUILD_TWIN4="ON" \
-DBUILD_TDEFIFTEEN="ON" \
-Wno-dev \ -Wno-dev \
.. ..
@ -107,6 +110,8 @@ mkdir_install_fn
doinst_sh_fn doinst_sh_fn
## tdefifteen has been added to 14.0.x and 14.1.0 builds
[[ $TDEVERSION != 14.0.9 ]] && TDE15=" * tdefifteen: A sliding tile puzzle."
echo " echo "
# HOW TO EDIT THIS FILE: # HOW TO EDIT THIS FILE:
# The 'handy ruler' below makes it easier to edit a package description. Line # The 'handy ruler' below makes it easier to edit a package description. Line
@ -150,6 +155,7 @@ $PRGNAM: * ktron: Like ksnake, but without fruits.
$PRGNAM: * ktuberling: Kids game: make your own potato $PRGNAM: * ktuberling: Kids game: make your own potato
$PRGNAM: * lskat: 2 player skat card game. $PRGNAM: * lskat: 2 player skat card game.
$PRGNAM: * twin4: Place 4 pieces in a row. $PRGNAM: * twin4: Place 4 pieces in a row.
$PRGNAM:${TDE15:-}
" > $PKG/install/slack-desc " > $PKG/install/slack-desc
makepkg_fn makepkg_fn

@ -64,6 +64,7 @@ tdeio/tests/kurifiltertest.cpp \
tdeio/tests/kmimetypetest.sh.cmake \ tdeio/tests/kmimetypetest.sh.cmake \
tdeio/tests/jobtest.cpp \ tdeio/tests/jobtest.cpp \
tdeio/kssl/kopenssl.cc \ tdeio/kssl/kopenssl.cc \
tdeio/kssl/kopenssl.cpp \
tdeinit/tdestartupconfig.cpp \ tdeinit/tdestartupconfig.cpp \
tdecore/tdeconfig_compiler/tests/test9main.cpp tdecore/tdeconfig_compiler/tests/test9main.cpp
do do

@ -16,7 +16,5 @@ And if akode isn't installed:
""" """
aKode was not found. Without it the aKode aRts-plugin will not be aKode was not found. Without it the aKode aRts-plugin will not be
installed, and aRts will be unable to play many music formats. installed, and aRts will be unable to play many music formats.
You can find aKode in KDE's Subversion repository under
trunk/tdesupport/akode.
""" """

@ -41,7 +41,7 @@ USE_CMAKE_MM=${USE_CMAKE_MM:-no}
[[ $USE_CMAKE_MM == no ]] && { [[ $USE_CMAKE_MM == no ]] && {
## /usr/bin/ld: cannot find -ltqt-mt/-ltqt - for gentable build ## /usr/bin/ld: cannot find -ltqt-mt/-ltqt - for gentable build
[[ $TDEVERSION == cgit ]] && \ [[ $TDEVERSION == 14.1.0 ]] && \
sed -i 's|(QT_LDFLAGS|(TQT_LDFLAGS|' noatun/library/Makefile.am sed -i 's|(QT_LDFLAGS|(TQT_LDFLAGS|' noatun/library/Makefile.am
ltoolupdate_fn ltoolupdate_fn

@ -43,7 +43,7 @@ chown_fn
cd_builddir_fn cd_builddir_fn
## TDEFileReplace has been moved from tdewebdev for R14.1.0 ## TDEFileReplace has been moved from tdewebdev for R14.1.0
[[ $TDEVERSION == cgit ]] && TDEFileReplace="-DBUILD_TDEFILEREPLACE=ON" [[ $TDEVERSION == 14.1.0 ]] && TDEFileReplace="-DBUILD_TDEFILEREPLACE=ON"
cmake \ cmake \
-DCMAKE_C_FLAGS="$SLKRCFLAGS" \ -DCMAKE_C_FLAGS="$SLKRCFLAGS" \
-DCMAKE_CXX_FLAGS="$SLKRCFLAGS" \ -DCMAKE_CXX_FLAGS="$SLKRCFLAGS" \
@ -99,7 +99,7 @@ mkdir_install_fn
doinst_sh_fn doinst_sh_fn
[[ $TDEVERSION == cgit ]] && TDEFileReplace=" * TDEFileReplace: powerful search and replace in multiple files" [[ $TDEVERSION == 14.1.0 ]] && TDEFileReplace=" * TDEFileReplace: powerful search and replace in multiple files"
echo " echo "
# HOW TO EDIT THIS FILE: # HOW TO EDIT THIS FILE:
# The 'handy ruler' below makes it easier to edit a package description. Line # The 'handy ruler' below makes it easier to edit a package description. Line

@ -46,7 +46,7 @@ sed -i "s|QMAKE_RPATH.*$|QMAKE_RPATH =|" mkspecs/linux-g++/qmake.conf
## tqt libs might be installed in $([T]QTDIR)/lib64 ## tqt libs might be installed in $([T]QTDIR)/lib64
sed -i "s|QTDIR)/lib|&$LIBDIRSUFFIX|" mkspecs/linux-g++/qmake.conf sed -i "s|QTDIR)/lib|&$LIBDIRSUFFIX|" mkspecs/linux-g++/qmake.conf
## add -headerdir as set in configure ## add -headerdir as set in configure
[[ $TDEVERSION == cgit ]] && QTDIR_PFX=T || QTDIR=$TQTDIR [[ $TDEVERSION == 14.1.0 ]] && QTDIR_PFX=T || QTDIR=$TQTDIR
sed -i "s|QMAKE_INCDIR =|& \$(${QTDIR_PFX:-}QTDIR)/include/tqt|" mkspecs/linux-g++/qmake.conf sed -i "s|QMAKE_INCDIR =|& \$(${QTDIR_PFX:-}QTDIR)/include/tqt|" mkspecs/linux-g++/qmake.conf
## allow building with clang ## allow building with clang

@ -39,7 +39,7 @@ chown_fn
cd_builddir_fn cd_builddir_fn
[[ $TDEVERSION == cgit ]] && QTINC_PFX=T [[ $TDEVERSION == 14.1.0 ]] && QTINC_PFX=T
cmake \ cmake \
-DCMAKE_C_FLAGS="$SLKRCFLAGS" \ -DCMAKE_C_FLAGS="$SLKRCFLAGS" \
-DCMAKE_CXX_FLAGS="$SLKRCFLAGS" \ -DCMAKE_CXX_FLAGS="$SLKRCFLAGS" \

@ -42,7 +42,8 @@ untar_fn
sed -i 's|/php/modules|/php/extensions|' configure sed -i 's|/php/modules|/php/extensions|' configure
# Fix for php-5.4 and patches from Arch (thanks!) # Fix for php-5.4 and patches from Arch (thanks!)
echo $'--- plugin/gs/gvloadimage_gs.c patch -N -p0 << EOF || true
--- plugin/gs/gvloadimage_gs.c
+++ plugin/gs/gvloadimage_gs.c +++ plugin/gs/gvloadimage_gs.c
@@ -83,11 +83,11 @@ @@ -83,11 +83,11 @@
@ -65,10 +66,7 @@ echo $'--- plugin/gs/gvloadimage_gs.c
+ TSRMLS_FETCH(); + TSRMLS_FETCH();
@@ -32,0 +34 @@ @@ -32,0 +34 @@
+ TSRMLS_FETCH(); + TSRMLS_FETCH();
' | while read line EOF
do
patch -p0
done
listdocs_fn listdocs_fn
@ -76,6 +74,9 @@ chown_fn
cd_builddir_fn cd_builddir_fn
## find ocaml headers
#sed -i 's|/usr/lib$LIBPOSTFIX/ocaml|/usr/local/lib$LIBPOSTFIX/ocaml|' ../configure
CFLAGS="$SLKCFLAGS" \ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \ CXXFLAGS="$SLKCFLAGS" \
CC=$COMPILER \ CC=$COMPILER \
@ -89,8 +90,8 @@ CXX=$COMPILER_CXX \
make $NUMJOBS || exit 1 make $NUMJOBS || exit 1
make install-strip DESTDIR=$PKG || exit 1 make install-strip DESTDIR=$PKG || exit 1
## The primary purpose of this build is for 'dot' for kscope. ## The primary purpose of this build is for 'dot' for kscope, tdeedu, ...
## If you want the pdf and html documentation, then comment out this line: ## To include the pdf and html documentation, comment out this line:
rm -rf $PKG/usr/share/$PRGNAM/doc rm -rf $PKG/usr/share/$PRGNAM/doc
# Install config file for PHP. # Install config file for PHP.
@ -113,15 +114,9 @@ EOF
# Remove empty directories of language bindings that are absent. # Remove empty directories of language bindings that are absent.
find $PKG/usr/lib$LIBDIRSUFFIX/graphviz -depth -type d -empty -exec rmdir {} \; find $PKG/usr/lib$LIBDIRSUFFIX/graphviz -depth -type d -empty -exec rmdir {} \;
# Create a "dummy" config file in /usr/lib$LIBDIRSUFFIX/graphviz so that it # Configure plugins
# will be removed when the package is uninstalled. This file is generated by # (writes $PKG/usr/lib$LIBDIRSUFFIX/graphviz/config6 with available plugin information)
# the postinstall script and contains information about available plugins, so LD_LIBRARY_PATH=$PKG/usr/lib$LIBDIRSUFFIX $PKG/usr/bin/dot -c
# this is (or at least should be) safe.
#
# Write some dummy content to it to avoid
# "Error: /usr/lib64/graphviz/config6 is zero sized, or other read error."
# message during installation.
echo '# Dummy content.' > $PKG/usr/lib$LIBDIRSUFFIX/graphviz/config6
installdocs_fn installdocs_fn
@ -148,9 +143,6 @@ config() {
config etc/php.d/graphviz.ini.new config etc/php.d/graphviz.ini.new
# Configure plugins
# (writes /usr/lib*/graphviz/config6 with available plugin information)
chroot . /usr/bin/dot -c
EOF EOF
echo " echo "

@ -25,7 +25,7 @@ VERSION=1.9.15
BUILD=${BUILD:-1} BUILD=${BUILD:-1}
TAG=${TAG:-} TAG=${TAG:-}
SRCURL="https://ftp.gnome.org/pub/GNOME/sources/$PRGNAM/1.9/$PRGNAM-$VERSION.tar.bz2" SRCURL="https://download.gnome.org/sources/$PRGNAM/1.9/$PRGNAM-$VERSION.tar.bz2"
ARCHIVE_TYPE="tar.bz2" ARCHIVE_TYPE="tar.bz2"
source ../../get-source.sh source ../../get-source.sh

@ -295,7 +295,7 @@ echo # if this fails, SlackBuild will fail from [3]
} }
## .. or [2b] 14.1.0 .. ## .. or [2b] 14.1.0 ..
[[ $TDEVERSION == cgit ]] && { [[ $TDEVERSION == 14.1.0 ]] && {
## copy git repo but don't copy .git directory: ## copy git repo but don't copy .git directory:
echo -e "\n copying $PRGNAM git sources to build area ... \n" echo -e "\n copying $PRGNAM git sources to build area ... \n"
(cd $BUILD_TDE_ROOT/src/cgit (cd $BUILD_TDE_ROOT/src/cgit

Loading…
Cancel
Save